**05/14/23 Version 23.05**

- update Clonezilla 3.1.0-22-amd64
- update Memtest86+ 6.20
- Porteus :

     - update :

          - firefox 102.11.0esr
          - ublock origin 1.49.2

     - add :

          - mat2 0.13.3

     - add extra directory

          - dc3dd 7.2.646
          - mkdocs 1.4.3
          - noscript 11.4.21 (firefox)
          - multi-account containers 8.1.2 (firefox)

On Porteus a right click on a file gives the following possibilities:                  

- Checksum : launches gtkhash with the name of the file as parameter.                      
- Shred securely : launches a script that does a "shred -zn 7" on the file.                  
- Clear metadata : launch mat2 with the file name as parameter.    

The contents of the extra directory contain additional modules for Porteus that are not loaded when Ikki Boot starts. A double click is enough to activate them.                   
                                                                                
You can find additional modules for Porteus on [Sourceforge](https://sourceforge.net/projects/ikkiboot/files/porteus/extra/). 

**04/13/23 version 23.04**

- Porteus :

     - update :

          - claws-mail 4.1.1
          - czkawka 5.1.0
          - drawing 1.0.2
          - ddrescue 1.27
          - firefox 102.10.0esr
          - gftp 2.9.1b
          - gsmartcontrol 1.14
          - hexchat 2.16.1
          - lshw 2.19
          - nvim 0.9.0
          - putty 0.78
          - tiddlywiki 5.2.7
          - ublock origin 1.48.4
          - zellij 0.35.2

     - add :
                                                                                             
          - boot-repair 4ppa2056                                                             
          - glances 3.3.1                                                                    
          - nano 7.2                                                                         
          - nethogs 0.8.7                                                                    
          - ps_mem 3.14 

**03/29/23 version 23.03**

- update SystemRescue 10.00
- update Memtest86+ 6.10
- update GParted 1.5.0-1-amd64
- update Clonezilla 3.0.3-22-amd64
- Porteus :

    - update :

          - firefox 102.9.0esr
          - ksnip 1.10.1

    - add :

          - curtail 1.3.1
          - handbrake 1.5.1
          - neovim 0.8.3 (replace vim)
          - broot 1.20.2
          - timeshift 22.11.2
          - chkrootkit 0.57
          - zellij 0.35

yt-dlp has been replaced by a script that download the latest version automatically.

The scripts create_seamonkey\_xzm.sh and create_thunderbird\_xzm.sh have been added to Porteus to create the modules for these two programs. 

You can find additional modules for Porteus at [Sourceforge](https://sourceforge.net/projects/ikkiboot/files/porteus/extra/).

**02/02/23 version 23.02**

- update ShredOS v2021.08.2_23_x86-64_0.34
- Porteus :

    - update :

        - firefox 102.7.0esr
        - yt-dlp 2023.01.06

    - add :

        - apart-gtk 0.26
        - bleachbit 4.4.2
        - catfish 4.16.3
        - chroot-rescue 1.07
        - clamav 0.105.0
        - czkawka 5.0.2
        - drawing 0.8.5
        - efibootmgr 18
        - exiv2 0.27.5
        - gmeasures 0.7
        - gnome-nettool 42
        - gpick 0.2.6
        - gpodder 3.10.17
        - grsync 1.3.0
        - homebank 4.6.3
        - hypnotix 3.2
        - inkcape lite 0.36
        - isomaster 1.3.16
        - ksnip 1.10
        - mcomix 2.1.0
        - nmap 7.93
        - otpclient 3.1.1
        - partclone 0.3.22
        - poor man's radio player
        - putty 0.77
        - qrscan 0.1.7
        - simplescreenrecorder 0.4.2
        - spice-up 1.9.1
        - streamtuner2 2.2.1
        - tcpdump 4.99.3
        - tldr 3.1.0
        - uget 2.2.3
        - vim 9.0.0814
        - xkill 1.0.5

**01/04/2023 version 23.01**

- update Memtest86+ 6.01
- update SystemRescue 9.06
- Porteus :

    - creation, update and optimization of modules (38 modules)
    - creation of a script for rclone create_rclone_xzm
    - update of the scripts create_firefox\_xzm and create_git\_xzm
    - created a script to change the keyboard layout and added a shortcut on the desktop
    - creation of a script to set the time and added of a shortcut on the desktop
    - activation of the firewall at startup
    - list of software :

        - abiword 3.0.5
        - asunder 2.9.7
        - audacity 3.2.2
        - avidemux 2.8.1
        - chntpw 140201
        - clamtk 6.10
        - claws mail 4.1.0
        - ddrescue 1.26
        - deja dup 42.9
        - duplicity 0.8.17
        - easytag 2.4.3
        - firefox 102.6.0esr
        - florence 0.6.3
        - geany 1.38
        - gftp 2.8.0b
        - gimp 2.10.30
        - gnumeric 1.12.51
        - gsmartcontrol 1.0.1
        - gtkhash 1.2
        - guymager 0.8.13-1
        - hardinfo 0.6
        - hexchat 2.16.0
        - htop 3.1.2
        - keepassxc 2.7.4
        - lshw 2.18
        - magnus 1.2.0.3
        - meld 3.20.4
        - mkusb 22.1.2
        - mtpaint 3.50
        - nchexedit 0.9.7
        - nwipe 0.34
        - pdf arranger 1.8.2
        - qdirstat 1.8.1
        - spacefm 1.0.6
        - testdisk 7.2
        - tiddlywiki 5.2.5
        - veracrypt 1.25.9
        - xfburn 0.6.2
        - yt-dlp 2023.01.02

Additional modules for Porteus are available for download at
[SourceForge](https://sourceforge.net/projects/ikkiboot/files/porteus/). (libreoffice, git, thunderbird, vscodium etc ...)

If needed, the following scripts can be executed from Porteus :

- create\_firefox\_xzm.sh
- create\_git\_xzm.sh
- create\_mangal\_xzm.sh
- create\_rclone\_xzm.sh
- create\_yt-dlp\_xzm.sh

Scripts allow you to have the latest version of a software, to create the corresponding module in /home/guest/Downloads and activate it automatically.

**12/08/2022 version 22.12**

- update Memtest86+ 6.00
- update SystemRescue 9.05
- update Clonezilla 3.0.2-21-amd64
- update GParted 1.4.0-6-amd64
- Rescatux has been removed
- Offline NT password has been removed (it's present in SystemRescue and Porteus)
- TestDisk has been removed (it's present in SystemRescue, Porteus and GParted)
- creation and update of Porteus modules
- Porteus modules loaded by default :

    - abiword-3.0.5-gnumeric-1.12.50.x86\_64
    - chntpw-140201.x86\_64
    - geany-1.38.x86\_64
    - grsync-1.3.0.x86\_64
    - hardinfo-0.6.x86\_64
    - keepassxc-2.7.3-qdirstat-1.8.1.x86\_64
    - lshw-2.18.x86\_64
    - mozilla-firefox-102.5.0esr-x86\_64-1\_slack15.0
    - mtpaint-3.50.x86\_64
    - nwipe-0.34.x86\_64
    - testdisk-7.2.x86\_64
    - veracrypt-1.25.9.x86\_64
    - settings (enable numeric keypad, change wallpaper, allow sudo without password for guest account, change shortcuts to launch with sudo, add shortcuts on desktop, disables the screen sleep mode)
    - mozilla-firefox-policy-extension (add Ublock Origin extension, change home page, disable welcome page, disable telemetry, delete data on closing, change default search engine etc...)

- Porteus optional modules to be activated manually as needed :

    - ddrescue-1.26.x86\_64
    - gftp-2.8.0b-x86\_64
    - gimp-2.10.30.x86\_64
    - git-2.35.5-x86\_64-1\_slack15.0
    - mangal-4.0.4.x86\_64
    - nmap-7.93.x86\_64
    - vim-9.0.0814-x86\_64
    - vscodium-1.73.1.22314.x86\_64
    - yt-dlp-2022.11.11

To activate a module just go to the root of your Ikki Boot key in the modules directory and double click on a module.

The version number now corresponds to the current year and month.

Bash scripts are available in script/build in the ISO. They contain
everything needed to update and create Ikki Boot.

In the script/build/porteus directory in the ISO, scripts to create and activate Porteus modules for Firefox, Git, mangal and yt-dlp are available. They are also available and usable directly in Porteus via a terminal (create_firefox\_xzm, create_git\_xzm, create_mangal\_xzm, create_yt-dlp\_xzm). The modules are created in /home/guest/Downloads.

**10/27/2022 Porteus modules released**

- Additional modules for Porteus have been created, they are available on [SourceForge](https://sourceforge.net/projects/ikkiboot/files/porteus/).
- From Porteus just double click to activate a module. (root password: toor)
- You can store these modules on the persistent partition of your USB key
Ikki Boot and activate them when needed.

**10/18/2022 version 11.0**

- add Porteus 5.0
- add ShredOS v2021.08.2\_21\_x86-64\_0.32.023
- Darik's Boot and Nuke has been removed
- SliTaz has been removed
- Puppy Linux has been removed
- Creation and adding of the following modules for Porteus XFCE :

    - AbiWord 3.0.5 : word processing program 
    - disable\_screen\_sleep : disable the screen sleep
    - Firefox 102.3.0esr : web browser with Ublock Origin extension
    - Geany 1.38 : programmer's text editor
    - Gnumeric 1.12.50 : spreadsheet program
    - Grsync 1.3.0 : is used to synchronize folders, files and make backups.
    - Hardinfo 0.5.1 : system profiler and benchmark for Linux systems
    - KeePassXC 2.6.6 : password manager
    - mtPaint 3.50 : painting program
    - numlock : activate the numeric keypad at startup
    - shortcut : add shortcuts on the desktop
    - wallpaper : change the wallpaper

The Firefox module was created from the Slackware package.  
AbiWord, Geany, Gnumeric, Grsync, Hardinfo, KeePassXC, mtPaint modules were created from RPM files of the OpenSUSE project.  
The modules disable\_screen\_sleep, numlock, shortcut, wallpaper were created from scratch and work only for XFCE.

It is possible to start Porteus without these modules by choosing Always Fresh as startup choice.

In case of Porteus startup problem in UEFI, choose Text Mode as startup choice, connect with the guest/guest account and then launch the GUI with the startx command.

**08/13/2022 version 10.3**

- update : SliTaz 5.0-RC4 20220807
- update : GParted 1.4.0-5-amd64
- update : Clonezilla 3.0.1-8-amd64
- update : Rescatux 0.74
- update : SystemRescueCd-9.04
- update : Memtest86+ 6.00b3
- added Memtest86+ launch in UEFI mode
- SystemRescue starts by default in graphic mode
- website migration from [Sphinx](http://www.sphinx-doc.org/) to [MkDocs](https://www.mkdocs.org/)

**07/02/2021**

- update of the script Ikki\_USB\_Creator\_en.sh

Via fdisk change partition type to NTFS. Thanks to Bruno J. for pointing
out this omission.

**05/29/2021 version 10.2**

- update : Grub2 File Manager 7.4.0
- update : SystemRescue-8.03
- update : GParted 1.3.0-1-amd64
- update : Clonezilla 2.7.1-22-amd64
- update : SliTaz 5.0-RC4 20210509
- It's now possible to create a persistent partition from Windows
  (see documentation)

**04/25/2021**

- preparation of the 10.2 release
- update of the Windows documentation for the 10.2 release
- update the script Ikki\_USB\_Creator\_en.sh

The script tests if the USB key is used and does not perform any action
if it is the case

**04/08/2021**

- update of the script Ikki\_USB\_Creator\_en.sh

The bash script is now 10 times faster and can be used for other ISO
files

**12/23/2020 version 10.1**

- add Grub2 File Manager 7.3.3
- update : SystemRescue-7.01
- update : Puppy Linux FossaPup64 9.5
- update : GParted 1.1.0-8-amd64
- update : Clonezilla 2.7.0-10-amd64
- update : SliTaz 5.0-RC4 20201220
- SliTaz now boots in 32-bit BIOS and in 64-bit UEFI
- added the -s option in the Ikki\_USB\_Creator\_en.sh script in
  order to be able to reuse the ISO for another USB key

By creating a USB key with a persistent partition (see documentation),
you have the possibility to deposit on your Ikki Boot key ISO, IMG, VHD,
WIM, EFI files that can then be launched via the Grub2 File Manager
tool.

Example: you create your key with the script Ikki\_USB\_Creator\_en.sh,
you drop Windows 10 ISO file on the NTFS partition, you boot your Ikki
Boot key and there with Grub2 File Manager you can install Windows.

Overview table of starting possibilities

|                      | **BIOS** | **UEFI** | **UEFI avec Secure Boot** |
|----------------------|----------|----------|---------------------------|
| SystemRescue         | YES      | YES      | NO                       |
| Rescatux             | YES      | YES      | YES                       |
| GParted              | YES      | YES      | YES                       |
| Clonezilla           | YES      | YES      | YES                       |
| Puppy Linux          | YES      | YES      | NO                       |
| SliTaz               | YES      | YES\*     | NO                       |
| Grub2 File Manager\*\* | YES      | YES      | NO                       |
| Super Grub2 Disk     | YES      | YES      | NO                       |
| Outils               | YES      | NO      | NO                       |

\* Only on command line  
\*\* Only useful with a USB flash drive with a persistent partition

**07/04/2020 version 10.0**

- add SystemRescueCd-6.1.5
- add Rescatux 0.73
- add Puppy Linux BionicPup64 8.0
- update : GParted 1.1.0-3-amd64
- update : Clonezilla 2.6.6-15-amd64
- update : Slitaz 5.0-RC4 2020628
- update : TestDisk 7.1
- update : Memtest86+ 5.31b
- update : Super Grub2 Disk 2.04s1
- update Ikki\_USB\_Creator\_en.sh
- Balder has been removed

Overview table of starting possibilities

|                      | **BIOS** | **UEFI** | **UEFI avec Secure Boot** |
|----------------------|----------|----------|---------------------------|
| SystemRescue         | YES      | YES      | NO                       |
| Rescatux             | YES      | YES      | YES\*                     |
| GParted              | YES      | YES      | YES                       |
| Clonezilla           | YES      | YES      | YES                       |
| Puppy Linux          | YES      | YES      | NO                       |
| SliTaz               | YES      | YES\*     | NO                       |
| Outils               | YES      | NO      | NO                       |

\* Choose Live System amd64  
\*\* Only on command line

**05/18/2019 version 9.1**

- update : SliTaz 5.0-RC4 20190512 core64
- update : GParted 0.33.0-2-amd64
- update : Clonezilla 2.6.1-25-amd64
- update : Super Grub2 Disk 2.02s10
- Ikki\_USB\_Creator\_en.sh has been added to the ISO (to create a
  bootable key with a persistent partition)
- UEFI is now based on Debian
- UEFI boot with Secure Boot avaible for GParted and Clonezilla

Overview table of starting possibilities

|                      | **BIOS** | **UEFI** | **UEFI avec Secure Boot** |
|----------------------|----------|----------|---------------------------|
| GParted              | YES      | YES      | YES                       |
| Clonezilla           | YES      | YES      | YES                       |
| SliTaz               | YES      | YES      | NO                       |
| Outils               | YES      | NO      | NO                       |

**04/13/2019**

- updating the documentation to use the Ikki\_USB\_Creator script
  under Linux

**03/24/2019**

- release of the Linux script
  [Ikki\_USB\_Creator](https://download.tuxfamily.org/ikkiboot/Ikki_USB_Creator_en.txt)
  which allows to create a USB key with a persistent partition in
  NTFS format, which starts in BIOS and UEFI
- the documentation will be updated soon  

![image](img/Ikki_USB_creator_en.jpg)

**02/19/2019**

- updating the documentation to create a BIOS and UEFI compatible
  USB key
- version 9.1 in preparation

**05/28/2018 version 9.1 RC1**

- update : SliTaz 5.0-RC4 20180520 core64
- update : GParted 0.31.0-1-amd64
- update : Clonezilla 2.5.5-38-amd64
- UEFI boot available: UEFI has been tested only on virtual machines
  your returns are welcome (it's always necessary to disable secure
  boot)
- the USB version is included in the ISO, the installation on key
  can be done via dd under Linux or Win32 Disk Imager under Windows

Example of installation on Linux key (For Expert only, this command
erases all data on your USB key, misused it can lead to data loss)

`dd if=/home/julien/Ikki_Boot_9.1_RC1.iso of=/dev/sdX bs=4M`

The documentation will be updated when the final version is released

**03/18/2018**

- new website created via [Sphinx](http://www.sphinx-doc.org/)
- Ikki Boot preparation version 9.1 with UEFI support for SliTaz,
  GParted and Clonezilla
- version 9.1 scheduled for April/May

**01/27/2018 version 9.0**

- update : GParted 0.30.0-1-i686
- update : Clonezilla 2.5.2.31-i686
- update : Super Grub2 Disk 2.02s9
- GAG has been removed
- the website has been translated in English

**05/30/2016 Version 8.0**

- add GParted 0.26.0-2-i686
- add TestDisk 7.0
- update : Clonezilla 2.4.5-23-i686
- update : Slitaz 5.0-rc3
- update : Darik's Boot and Nuke 2.3.0
- update : Super Grub2 Disk 2.00s4
- update : Syslinux 6.03
- Puppy Linux has been removed
- RIPLinux has been removed

[History](http://download.tuxfamily.org/ikkiboot/changelog_en.txt)
