**- En cas de blocage comment quitter facilement un live cd ou un outil
?**

Le plus simple est de faire la combinaison de touche suivante : Ctrl +
Alt + Suppr  
Cela va redémarrer l'ordinateur

**- Comment faire pour que Windows détecte la partition persistante ?**

Il faut avoir Windows 10 au minimum, les versions précédentes ne
détectent pas la partition persistante.

**- Comment mettre à jour et créer Ikki Boot ?**

Des scripts bash sont disponibles dans script/build dans l'ISO. Ils contiennent tout le nécessaire pour mettre à jour et créer Ikki Boot.

**- Avez-vous un exemple d'utilisation de Grub2 File Manager ?**

Exemple : vous créez votre clé (voir documentation), vous déposez le fichier ISO de Windows 10 sur la partition NTFS, vous démarrez votre clé Ikki Boot et là avec Grub2 File Manager vous pouvez installer Windows.

**- Est-il possible de récupérer les stratégies mise en place sur Firefox dans Porteus ?**

Vous pouvez les télécharger via les liens suivants : [policies.json](https://download.tuxfamily.org/ikkiboot/firefox/policies.json), [distribution.ini](https://download.tuxfamily.org/ikkiboot/firefox/distribution.ini).

**- Le code source du site est-il disponible ?**

Vous pouvez le récupérer via ce lien :
[site\_web.zip](https://download.tuxfamily.org/ikkiboot/site_web.zip)

**- Comment effacer ma clé USB suite à l'utilisation de Rufus ou dd ?**

Sur Windows relancer Rufus, suivre la 1ère méthode d'installation mais
au lieu de choisir Ecrire en mode Image DD choisir Ecrire en mode Image
ISO. Une fois l'écriture effectuée vous pourrez effacer votre clé.

Sur Linux utiliser la commande fdisk suivi du nom de votre disque puis
créer une nouvelle table de partition DOS avec la commande o puis w pour
enregistrer et quitter. Vous pouvez ensuite utiliser GParted pour
formater votre clé.

**- Les live cd se chargent-ils entièrement en mémoire ?**

Systemrescue et Porteus se chargent en mémoire, une fois arrivé sur l'interface graphique
vous pouvez retirer la clé USB ou le DVD.

**- Est-il possible de démarrer Ikki Boot avec le secure boot activé ?**

GParted et Clonezilla peuvent démarrer avec le secure boot.

**- Les modules Porteus peuvent-ils être téléchargés séparément ?**

Les modules sont disponibles sur [SourceForge](https://sourceforge.net/projects/ikkiboot/files/porteus/).

**- Est-ce qu'il y a des stratégies mise en place pour Firefox sur Porteus ?**

Oui des stratégies ont été ajoutées et sont présentes dans le module mozilla-firefox-policy-extension.xzm.

**- Syslinux ou Extlinux ne s'exécutent pas sous Linux**

Il faut installer le package libc6-i386 et donner les droits
d'exécutions via la commande chmod +x

``` {.Console}
apt-get install libc6-i386
chmod +x extlinux
```

**- Quelle est la commande utilisée pour créer l'image ISO ?**

``` {.Console}
xorriso -as mkisofs -r -o Ikki_Boot.iso -V 'Ikki Boot' -J -joliet-long -isohybrid-mbr travail/boot/syslinux/isohdpfx.bin -c boot/syslinux/boot.cat -b boot/syslinux/isolinux.bin -no-emul-boot -boot-load-size 4 -boot-info-table -eltorito-alt-boot -e boot/grub/efi.img -no-emul-boot -isohybrid-gpt-basdat -isohybrid-apm-hfsplus /home/julien/Ikki_Boot
```

**- Vous avez d'autres questions ?**

[Contacter moi](https://download.tuxfamily.org/ikkiboot/contact.txt)
