
**- In case of blockage, how can I easily quit a live cd or a tool ?**

The easiest way is to make the next keystroke combination : Ctrl + Alt +
Del   
This will reboot the computer

**- How to configure Windows to detect the persistent partition ?**

It is necessary to have Windows 10 at least, the previous versions do
not detect the persistent partition.

**- How to upgrade and create Ikki Boot ?**

Bash scripts are available in script/build in the ISO. They contain everything you need to upgrade and create Ikki Boot.

**- Do you have an example of usage of Grub2 File Manager ?**

Example: you create your key (see documentation), you drop the ISO file of Windows 10 on the NTFS partition, you boot your Ikki Boot key and then with Grub2 File Manager you can install Windows.

**- Is it possible to recover the policies set up on Firefox in Porteus ?**

You can download them via the following links : [policies.json](https://download.tuxfamily.org/ikkiboot/firefox/policies.json), [distribution.ini](https://download.tuxfamily.org/ikkiboot/firefox/distribution.ini).

**- Is the source code of the site available ?**

You can get it via this link :
[site\_web.zip](https://download.tuxfamily.org/ikkiboot/site_web.zip)

**- How do I delete my USB key after using Rufus or dd ?**

On Windows restart Rufus, follow the 1st installation method but instead
of choosing Write in DD Image mode choose Write in ISO Image mode. Once
the writing is done you can delete your key.

On Linux use the fdisk command followed by the name of your disk and
then create a new DOS partition table with the command o then w to save
and exit. You can then use GParted to format your key.

**- Do the live cd load in memory ?**

Systemrescue and Porteus are loaded in memory, once you have reached the graphical
interface you can remove the usb key or the dvd.

**- Is it possible to boot Ikki Boot with secure boot enabled ?**

GParted and Clonezilla can boot with secure boot.

**- Can I download the Porteus modules separately ?**

The modules are available on [SourceForge](https://sourceforge.net/projects/ikkiboot/files/porteus/).

**- Are there any policies set up for Firefox on Porteus ?**

Yes, policies have been added and are present in the mozilla-firefox-policy-extension.xzm  module.

**- Syslinux or Extlinux do not run on Linux**

It is necessary to install the libc6-i386 package and to give the
execution rights via the command chmod +x

``` {.Console}
apt-get install libc6-i386
chmod +x extlinux
```

**- What command is used to create the ISO image ?**

``` {.Console}
xorriso -as mkisofs -r -o Ikki_Boot.iso -V 'Ikki Boot' -J -joliet-long -isohybrid-mbr travail/boot/syslinux/isohdpfx.bin -c boot/syslinux/boot.cat -b boot/syslinux/isolinux.bin -no-emul-boot -boot-load-size 4 -boot-info-table -eltorito-alt-boot -e boot/grub/efi.img -no-emul-boot -isohybrid-gpt-basdat -isohybrid-apm-hfsplus /home/julien/Ikki_Boot
```

**- Do you have any other questions ?**

[Contact me](https://download.tuxfamily.org/ikkiboot/contact.txt)
