#Documentation

##Créer la version Live USB depuis Windows 1ère méthode

**Avantage**

- La clé peut démarrer en BIOS et UEFI.
- Vous pouvez utiliser l'espace restant pour stocker des données sur votre clé.
- La partition persistante est au format NTFS qui est utilisable depuis Windows et Linux.
- En copiant des fichiers ISO sur la partition NTFS ils peuvent être lancés depuis Grub2 File Manager.
- En copiant des modules Porteus (fichier .xzm) sur la partition NTFS ils peuvent être activés avec un double clic depuis Porteus.

**Inconvénient**

- Aucun.

Prérequis pour créer la partition NTFS : Windows 10 ou supérieur.

Téléchargez Ikki\_Boot.iso
<https://ikkiboot.tuxfamily.org/telechargement.html>

Téléchargez la version portable de Rufus depuis le site officiel
<https://rufus.ie/>

![image](img/win/ikki_boot_rufus.jpg)

Branchez votre clé USB

Attention tout le contenu de votre clé sera **EFFACÉ** Faites une
**SAUVEGARDE** de votre clé avant toute manipulation

Double cliquez sur Rufus pour l'exécuter et cliquer sur Oui

![image](img/win/rufus_uac.jpg)

Cliquez sur Oui pour autoriser la recherche de mise à jour

![image](img/win/rufus_update.jpg)

Cliquez sur le bouton Sélection

![image](img/win/rufus_select.jpg)

Cliquez sur Ikki\_Boot.iso puis sur Ouvrir

![image](img/win/rufus_select_2.jpg)

Avant de cliquer sur Démarrer, vérifiez la taille du périphérique afin
de confirmer que la taille correspond à votre clé USB

![image](img/win/rufus_ready.jpg)

Cliquez sur le bouton Démarrer et cochez "Ecrire en mode Image DD"

![image](img/win/rufus_dd.jpg)

Un message d'avertissement apparaît, cliquer sur Ok :

![image](img/win/rufus_warning.jpg)

L'opération s'effectue

![image](img/win/rufus_writing.jpg)

Cliquez sur Fermer quand l'opération est terminée

![image](img/win/rufus_finish.jpg)

Les étapes suivantes nécessitent Windows 10 ou une version supérieur.

Ouvrez le menu Exécuter en appuyant sur la touche Windows et la touche R
simultanément

Saisir diskmgmt.msc et cliquez sur Ok

![image](img/diskmgmt/diskmgmt.jpg)

Une fois l'utilitaire ouvert, rechercher votre clé USB qui apparaît
comme disque amovible, la 1ère partition porte le nom IKKI\_BOOT

Sur la capture d'écran : une clé USB de 7.5 Go

Sur la 4ème partition de votre disque amovible,faites un clic droit, la
partition est affichée comme "Non alloué", et cliquer sur Nouveau
volume simple

![image](img/diskmgmt/diskmgmt_2.jpg)

L'assistant création d'un volume simple apparaît, cliquez sur suivant

![image](img/diskmgmt/diskmgmt_3.jpg)

Cliquez sur suivant

![image](img/diskmgmt/diskmgmt_4.jpg)

Cliquez sur suivant

![image](img/diskmgmt/diskmgmt_5.jpg)

Au niveau du Système de fihiers choisir NTFS et sur le Nom de volume
saisir le nom souhaité pour votre partition

![image](img/diskmgmt/diskmgmt_6.jpg)

Cliquer sur Terminer pour finaliser la procédure

![image](img/diskmgmt/diskmgmt_7.jpg)

Facultatif : vous pouvez supprimer la 3ème partition de 2 Mo en faisant
un clic droit supprimer le volume et confirmer par oui

Vous pouvez désormais redémarrer votre pc et choisir votre clé USB comme
périphérique d'amorçage

##Créer la version Live USB depuis Windows 2ème méthode

**Avantage**

- Vous pouvez utiliser l'espace restant pour stocker des données sur votre clé.

**Inconvénients**

- La clé peut démarrer uniquement en BIOS.
- La clé étant en FAT32 la taille maximale d'un fichier que l'on peut stocker est de 4 Go.

Téléchargez Ikki\_Boot.iso
<https://ikkiboot.tuxfamily.org/telechargement.html> Télécharger et
installer 7-Zip <https://www.7-zip.org/download.html>

![image](img/win/1_recup_usb.jpg)

Puis décompressez avec 7-Zip en faisant un clique droit 7-zip/Extraire
vers Ikki Boot:

![image](img/win/2_decompress.jpg)

Une fois décompressé sélectionnez tous les fichiers et dossiers présent

![image](img/win/3_selection.jpg)

Faites un clique droit et copier :

![image](img/win/4_copier.jpg)

Branchez votre clef USB et faites un clique droit coller à la racine :

Votre clef doit être formatée en FAT32

![image](img/win/5_coller_sur_cle.jpg)

Sur la clef ouvrez le dossier script :

![image](img/win/6_script.jpg)

Lancez install\_syslinux.cmd en faisant un clique droit Exécuter en tant
qu'administrateur :

![image](img/win/executer.jpg)

![image](img/win/7_dos.jpg)

Appuyez sur une touche :

![image](img/win/8_install_ok.jpg)

Vous pouvez désormais redémarrer votre pc et choisir votre clé USB comme
périphérique d'amorçage.

##Créer la version Live USB depuis Linux 1ère méthode

**Avantages**

- La clé peut démarrer en BIOS et UEFI.
- Vous pouvez utiliser l'espace restant pour stocker des données
        sur votre clé.
- La partition persistante est au format NTFS qui est utilisable
        depuis Windows et Linux.
- Il suffit d'exécuter un script.
- En copiant des fichiers ISO/IMG sur la partition NTFS ils peuvent
        être lancés depuis Grub2 File Manager.
- En copiant des modules Porteus (fichier .xzm) sur la partition NTFS ils peuvent être activés avec un double clic depuis Porteus.

**Inconvénient**

- Aucun.

Téléchargez Ikki\_Boot.iso.
<https://ikkiboot.tuxfamily.org/telechargement.html>

Puis cliquez sur le lien
<https://download.tuxfamily.org/ikkiboot/Ikki_USB_Creator.txt> et faites
un clic droit "Enregistrez sous".

![image](img/linux/sauve_txt.jpg)

Vous devez désormais avoir les deux fichiers dans le dossier
Téléchargements.

![image](img/linux/liste.jpg)

Ouvrez un Terminal en root.

Déplacez vous dans le répertoire où les fichiers ont été téléchargés :

    cd /home/julien/Téléchargements

Renommez le fichier Ikki\_USB\_Creator.txt en Ikki\_USB\_Creator.sh :

    mv Ikki_USB_Creator.txt Ikki_USB_Creator.sh

Donnez les droits d'exécution :

    chmod +x Ikki_USB_Creator.sh

![image](img/linux/chmod.jpg)

Branchez votre clé USB puis exécutez Ikki\_USB\_Creator.sh :

    ./Ikki_USB_Creator.sh -i Ikki_Boot.iso

Appuyez sur la lettre "o" et faites Entrer pour valider.

Confirmez l'effacement de votre clé USB en saisissant "OUI" et faites
Entrer pour valider.

![image](img/linux/USB_Creator_1.jpg)

Patientez jusqu'à la fin de la procédure.

![image](img/linux/USB_Creator_2.jpg)

Vous pouvez désormais redémarrer votre pc et choisir votre clé USB comme
périphérique d'amorçage.

##Créer la version Live USB depuis Linux 2ème méthode

**Avantage**

- La clé peut démarrer en BIOS et UEFI.

**Inconvénient**

- Toute la place disque de la clé est utilisée.

Téléchargez Ikki\_Boot.iso puis ouvrez un Terminal en root
<https://ikkiboot.tuxfamily.org/telechargement.html>

![image](img/linux/ikki_boot_iso.jpg)

Se déplacer dans le répertoire où le fichier a été téléchargé :

    cd /home/julien/Téléchargements

Branchez votre clé USB

Attention tout le contenu de votre clé sera **EFFACÉ** Faites une
**SAUVEGARDE** de votre clé avant toute manipulation

Lister les périphériques connectés :

    fdisk -l

Exemple avec une clé de 16 Go

Bien noté le nom du Disque, ici /dev/sdb

![image](img/linux/fdisk.jpg)

Vérifiez que le nom du disque correspond à votre clé usb :

    fdisk -l /dev/sdX

Remplacer /dev/sdX avec le nom de votre disque

![image](img/linux/fdisk2.jpg)

Le disque a une capacité de 14.3 GB ce qui correspond bien à notre clé
de 16 GB

**ATTENTION** : La commande dd est très dangereuse, vérifier à deux fois
ce que vous saisissez avant de valider.

La commande ci-dessous est un **exemple** qui considère que le fichier
ISO qui a le nom "Ikki\_Boot.iso" est dans le répertoire courant :

    dd if=Ikki_Boot.iso of=/dev/sdX bs=4M status=progress && sync

Remplacer /dev/sdX avec le nom de votre disque

![image](img/linux/dd.jpg)

Si le message "dd: opérande « status=progress » non reconnu" apparaît,
votre version de dd ne supporte pas l'option status, vous devez
supprimer l'option, vous ne verrez donc pas l'avancement de la copie

Vous pouvez désormais redémarrer votre pc et choisir votre clé USB comme
périphérique d'amorçage

##Créer la version Live USB depuis Linux 3ème méthode

**Avantage**

- Vous pouvez utiliser l'espace restant pour stocker des données
        sur votre clé depuis Linux

**Inconvénient**

- La clé peut démarrer uniquement en BIOS

Téléchargez Ikki\_Boot.iso puis ouvrez un
Terminal en root

Se positionner dans le répertoire où le fichier ISO a été
téléchargé puis décompressez dans un dossier temp :

    cd /home/julien/Téléchargements
    7z x Ikki_Boot.iso -o./temp

![image](img/linux/decompression.jpg)

Branchez votre clé USB puis lancez GParted

Sélectionner votre clé en haut à droite (la taille de votre clé vous
aidera à la retrouver)

Exemple avec une clé de 8 Go

Bien noté le nom de la partition ici /dev/sdc1

![image](img/linux/gparted.jpg)

!!! Attention les manipulations suivantes vont effacer toutes les
données de votre clé USB !!!

Si votre clé est déjà en Ext3 vous pouvez passer cette étape

Faire un clic droit sur la partition puis Formater en Ext3

![image](img/linux/formater.jpg)

Appliquer les modifications

Un message apparaît qui vous rappelle que votre clé USB va être effacée

Cliquer sur Appliquer

![image](img/linux/gparted2.jpg)

Faire un clic droit sur la partition et choisir Gérer les drapeaux, puis
cocher "boot"

![image](img/linux/drapeaux.jpg)

Monter votre clé USB Habituellement il suffit de double cliquer sur
l'icône de la clé présente sur le bureau

Sur le Terminal saisir la commande suivante afin de vérifier que la clé
est bien monté : (remplacer /dev/sdc1 par le nom de la partition de
votre clé) :

    mount | grep /dev/sdc1

![image](img/linux/mount.jpg)

On voit que la clé est montée dans le dossier /media/julien/Ikki\_Boot

Copier Ikki Boot sur votre clé USB (remplacer /media/julien/Ikki\_Boot/
par le chemin où est monté votre clé) :

    cp -rf temp/* /media/julien/Ikki_Boot/

Se déplacer dans le dossier linux :

    cd temp/script/syslinux/linux/

Ecrire le MBR de Syslinux sur votre clé

(Attention il faut remplacer /dev/sdc1 par le nom de la partition de
votre clé) :

    dd conv=notrunc bs=440 count=1 if=mbr.bin of=/dev/sdc1

![image](img/linux/copie_dd.jpg)

Modifier les droits pour que extlinux soit exécutable :

    chmod +x extlinux

Installer extlinux sur votre clé

Remplacer /media/julien/Ikki\_Boot par le chemin où est monté votre clé
:

    ./extlinux -i /media/julien/Ikki_Boot/boot/syslinux/

![image](img/linux/extlinux.jpg)

Le message "is device /dev/sdc1" confirme que l'installation s'est
bien déroulée

Détacher votre clé USB (remplacer /media/julien/Ikki\_Boot par le chemin
où est monté votre clé) :

    umount /media/julien/Ikki_Boot/

Vous pouvez désormais redémarrer votre pc et choisir votre clé USB comme périphérique d'amorçage.

##Créer la version Live USB depuis Linux 4ème méthode

**Avantage**   

- La clé peut démarrer en BIOS et UEFI.
- Utilisation du logiciel Disques (ou Gnome-disks). 

**Inconvénient**

- Toute la place disque de la clé est utilisée.

Téléchargez Ikki\_Boot.iso, branchez votre clé USB puis lancez gnome-disks.
<https://ikkiboot.tuxfamily.org/telechargement.html>

L'utilitaire de disque s'ouvre.

![image](img/linux/gnomes-disks.jpg)

Sélectionnez votre clé USB, vous pouvez la retrouver via sa taille.     
Dans l'exemple ci-dessous on sélectionne une clé de 8,1 Go.

![image](img/linux/gnomes-disks-2.jpg)

Cliquez sur le menu avec les 3 petits points en haut à droite et sélectionnez "Restaurer l'image disque".

![image](img/linux/gnomes-disks-3.jpg)

Cliquez sur la ligne où le mot "Aucun" est indiqué afin de sélectionner le fichier ISO.

![image](img/linux/gnomes-disks-4.jpg)

Une fois le fichier ISO sélectionné cliquez sur "Ouvrir".

![image](img/linux/gnomes-disks-5.jpg)

Cliquez sur "Démarrer la restauration".

![image](img/linux/gnomes-disks-6.jpg)

Attention tout le contenu de votre clé sera **EFFACÉ** Faites une
**SAUVEGARDE** de votre clé avant toute manipulation.

Un message d'avertissement s'affiche, cliquez sur "Restaurer".

![image](img/linux/gnomes-disks-7.jpg)

L'opération s'effectue.

![image](img/linux/gnomes-disks-8.jpg)

Une fois la restauration terminée. Vous pouvez retirer votre clé USB.

![image](img/linux/gnomes-disks-9.jpg)

Vous pouvez désormais redémarrer votre pc et choisir votre clé USB comme périphérique d'amorçage.

##Graver un fichier ISO

Lancez votre logiciel de gravure habituel et choisissez Graver une image

Exemple avec Brasero :

![image](img/iso/Brasero.jpg)

Sélectionnez un fichier ISO et cliquer sur Graver

![image](img/iso/Brasero2.jpg)

L'opération s'effectue

![image](img/iso/Brasero3.jpg)

![image](img/iso/Brasero4.jpg)

##Vérifier l'état de santé de votre disque dur

Démarrez sur Ikki Boot et lancer GParted

Une fois démarré faites un clic droit File/System utils afin d'ouvrir
GSmartControl :

![image](img/gsmartcontrol/gsmartcontrol_menu.jpg)

Sélectionnez votre disque

![image](img/gsmartcontrol/gsmartcontrol.jpg)

Double-cliquez pour ouvrir le menu puis cliquer sur l'onglet Self-Tests
afin de tester votre disque

![image](img/gsmartcontrol/gsmartcontrol1.jpg)

Choisissez votre test dans la liste Test Type, la durée estimée
s'affiche et cliquez sur Execute pour lancer le test

Une fois le test terminé le Status doit afficher Terminé sans erreur
(Completed without error)
